Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Enum Class ContractRemoveRule.RemoveRuleType

java.lang.Object
java.lang.Enum<ContractRemoveRule.RemoveRuleType>
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractRemoveRule.RemoveRuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractRemoveRule.RemoveRuleType>`, `Constable`

Enclosing class:
  `ContractRemoveRule`

public static enum ContractRemoveRule.RemoveRuleType extends Enum<ContractRemoveRule.RemoveRuleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BALANCE`
  `TIME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `static ContractRemoveRule.RemoveRuleType`
  `getType(int ordinal)`
  `static ContractRemoveRule.RemoveRuleType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractRemoveRule.RemoveRuleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TIME

    public static final ContractRemoveRule.RemoveRuleType TIME

  - ### BALANCE

    public static final ContractRemoveRule.RemoveRuleType BALANCE

- ## Method Details

  - ### values

    public static ContractRemoveRule.RemoveRuleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractRemoveRule.RemoveRuleType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()

  - ### getType

    public static ContractRemoveRule.RemoveRuleType getType(int ordinal)